Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021689
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajoralways2012-09-19 16:422013-01-22 15:32
ReporterdbazView Statuspublic 
Assigned Todbaz 
PriorityhighResolutionfixedFixed in Version3.0MP20
StatusclosedFix in branchFixed in SCM revision6d0bac2dba0b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021689: Add capabilities to define actions to be executed using a JSON

DescriptionAdd capabilities to define actions to be executed using a JSON
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0021690 closeddbaz Allow a Pick & Execute process do a set of actions when the process ends 
related to feature request 0034171 closedcaristu It would be nice to have a response action to refresh grid parameters 

-  Notes
(0052233)
dbaz (developer)
2012-09-19 16:43

Documentation: http://wiki.openbravo.com/wiki/Client_Side_Development_and_API#OB.Utilities.Action_-_actions_execution_related_utilities [^]
(0052239)
dbaz (developer)
2012-09-19 17:24

Resolved (by the moment) in a different branch:

https://code.openbravo.com/erp/devel/pi-pneactions/rev/6d0bac2dba0b [^]
(0055603)
hgbot (developer)
2013-01-18 11:23

Repository: erp/devel/pi
Changeset: 6d0bac2dba0b2cd174c4c62067b45490c2425ee0
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Wed Sep 19 17:21:19 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6d0bac2dba0b2cd174c4c62067b45490c2425ee0 [^]

Fixed issue 21689: Added capabilities to define actions
to be executed using a JSON

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ApplicationComponentProvider.java
A modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-action-def.js
A modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-action.js
---
(0055606)
alostale (developer)
2013-01-18 11:27

Code reviewed + tested
Code included within Parameter Windows project
(0055717)
hudsonbot (developer)
2013-01-22 15:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/449aae8be624 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-09-19 16:42 dbaz New Issue
2012-09-19 16:42 dbaz Assigned To => dbaz
2012-09-19 16:42 dbaz Modules => Core
2012-09-19 16:43 dbaz Note Added: 0052233
2012-09-19 16:44 dbaz Relationship added related to 0021690
2012-09-19 17:24 dbaz Note Added: 0052239
2013-01-18 11:23 hgbot Checkin
2013-01-18 11:23 hgbot Note Added: 0055603
2013-01-18 11:23 hgbot Status new => resolved
2013-01-18 11:23 hgbot Resolution open => fixed
2013-01-18 11:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6d0bac2dba0b2cd174c4c62067b45490c2425ee0 [^]
2013-01-18 11:27 alostale Review Assigned To => alostale
2013-01-18 11:27 alostale Note Added: 0055606
2013-01-18 11:27 alostale Status resolved => closed
2013-01-18 11:27 alostale Fixed in Version => 3.0MP20
2013-01-22 15:32 hudsonbot Checkin
2013-01-22 15:32 hudsonbot Note Added: 0055717
2016-10-04 15:45 caristu Relationship added related to 0034171


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker